version: '3'

services:
  moneynote:
    container_name: moneynote
    image: registry.cn-hangzhou.aliyuncs.com/moneynote/moneynote-all:latest
    restart: always
    environment:
      - DB_PASSWORD=${DB_PASSWORD:-78p7gkc1}
      - invite_code=${invite_code:-111111}
    volumes:
      - moneynote_mysql_data:/var/lib/mysql
    ports:
      - "43740:3306"
      - "43741:80"
      - "43742:9092"
      - "43743:81"
      - "43744:82"

volumes:
  moneynote_mysql_data: